Web Vitals

Get Web Vitals For Project

GET
/v0/projects/{idOrSlug}/vitals

Authorization

apiKeyAuth
headerx-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

Path Parameters

idOrSlug*string

Query Parameters

metric?string
Value in"CLS""LCP""INP""FCP""TTFB""FID"
positiveOnly?"true"
Value in"true"
from?string
to?string
device?string
browser?string
os?string
country?string
route?string
segment?string|array<string>
excludeSegment?string|array<string>

Response Body

Success

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.faststats.dev/v0/projects/string/vitals'
Example Response
[  {    "id": "string",    "projectId": "string",    "sessionId": "string",    "metric": "string",    "value": 0,    "label": "string",    "device": "string",    "country": "string",    "os": "string",    "browser": "string",    "url": "string",    "attributes": {},    "createdAt": "string"  }]